Subject: bug#42212: Guix version rendered as 0.0-git in info manual

From: Ludovic Courtès <[email-masked]>
Date: Fri, 10 Jul 2020 00:29:39 +0200

Hi Arun,

Arun Isaac <[email-masked]> skribis:

> In the info manual, the Guix version is rendered as 0.0-git. For
> example, in "(guix) The Store", see "The ability to connect to remote
> build daemons is considered experimental as of 0.0-git". I am running
> the Guix standalone system. Any idea what's going wrong?

Nothing!  :-)

The “0.0-git” string comes from (guix self).  As noted there, we can’t
really afford to change the version string at each commit, or we’d have
to rebuild the manual at each commit.

We could perhaps choose a more meaningful version string, though, maybe
by looking at the closest tag or something.

Thoughts?

Ludo’.